Skip to main content
PUT
/
posts
/
{postId}
/
unarchive
Unarchive a post
curl --request PUT \
  --url https://app.autoposting.ai/api-proxy/posts/{postId}/unarchive \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "post_01HXYZ",
    "brandSlug": "acme-corp",
    "text": "Exciting news from Acme! 🚀",
    "platforms": [
      "x",
      "linkedin"
    ],
    "status": "scheduled",
    "scheduledAt": "2025-02-01T10:00:00Z",
    "media": [],
    "createdAt": "2024-01-01T00:00:00Z",
    "updatedAt": "2024-01-01T00:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Path Parameters

postId
string
required

Unique identifier of the post.

Example:

"post_01HXYZ"

Response

The unarchived post.

success
boolean
required
data
object
required